UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
com.latencybusters.lbm.LBMReceiverAttributes Class Reference
Inheritance diagram for com.latencybusters.lbm.LBMReceiverAttributes:

## Public Member Functions
| LBMReceiverAttributes () throws LBMException
| LBMReceiverAttributes (String contextName, String topic) throws LBMException
void | setFromXml (String contextName, String topic) throws LBMException
synchronized void | dispose ()
LBMConfigOption[] | dumpAttributeList ()
String | getValue (String attributeName) throws LBMException
void | setValue (String attributeName, String attributeValue) throws LBMException
Object | setProperty (String attributeName, String attributeValue)
void | load (InputStream inStream) throws IOException
void | setObjectRecycler (LBMObjectRecyclerBase objRec, Object objRecCbArg)
void | setRegistrationIdCallback (LBMRegistrationIdCallback cb, Object cbArg)
void | setRegistrationIdCallback (UMERegistrationIdExCallback cb, Object cbArg)
void | setRecoverySequenceNumberCallback (UMERecoverySequenceNumberCallback cb, Object cbArg)
void | setSourceNotificationCallbacks (LBMSourceCreationCallback creationCb, LBMSourceDeletionCallback deletionCb, Object cbArg) throws LBMException
void | setSourceNotificationExCallbacks (LBMSourceCreationExCallback creationCb, LBMSourceDeletionExCallback deletionCb, Object cbArg) throws LBMException
void | enableSingleReceiverCallback (boolean enable)

## Protected Member Functions
void | finalize ()

## Detailed Description

Encapsulates the set of default LBM receiver attributes.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMReceiverAttributes.LBMReceiverAttributes | ( |  | ) | throws LBMException

Create and fill an LBMReceiverAttributes object with the current default values.

Exceptions

  LBMException |

Referenced by com.latencybusters.lbm.LBMReceiverAttributes.setFromXml().

com.latencybusters.lbm.LBMReceiverAttributes.LBMReceiverAttributes | ( | String | contextName,
|  | String | topic
| ) |  | throws LBMException

Create and fill an LBMReceiverAttributes object with the current default values for the given context name and receiver topic name.

Parameters

  contextName | Context name string.
  topic | Receiver topic name string.

Exceptions

  LBMException | if the context name and / or receiver topic name is not permitted by the configuration or other operational failure.

## Member Function Documentation

synchronized void com.latencybusters.lbm.LBMReceiverAttributes.dispose | ( |  | ) |

Free memory associated with this set of attributes.

Referenced by com.latencybusters.lbm.LBMReceiverAttributes.finalize().

LBMConfigOption [] com.latencybusters.lbm.LBMReceiverAttributes.dumpAttributeList | ( |  | ) |

Returns an array of LBMConfigOptions

Returns
  Array of LBMConfigOption

void com.latencybusters.lbm.LBMReceiverAttributes.enableSingleReceiverCallback | ( | boolean | enable | ) |

Used to enable or disable single receiver callbacks. This means that when the application creates a receiver, wildcard receiver, or hotfailover receiver with these attributes, an LBMReceiverCallback must also be supplied. This receiver callback then becomes the one and only callback for that receiver. The addReceiver and removeReceiver methods of the various receiver classes become no-ops. The benefit is removal of synchronization code and iteration over a list of callbacks, which can help speed up message delivery.

Enabling this is recommended for SMX and any application that does not use addReceiver() or removeReceiver().

Parameters

  enable | allow Enable or disable addReceiver and removeReceiver

void com.latencybusters.lbm.LBMReceiverAttributes.finalize | ( |  | ) |
| protected

This method is for internal use only, and is not supported for customer applications.

References com.latencybusters.lbm.LBMReceiverAttributes.dispose().

String com.latencybusters.lbm.LBMReceiverAttributes.getValue | ( | String | attributeName | ) | throws LBMException

Returns the current value of an attribute from this set of receiver-related attributes.

Parameters

  attributeName | Name of the attribute to retrieve

Returns
  Value corresponding to the specified attribute name

Exceptions

  LBMException | if `attributeName` is not a valid attribute.

void com.latencybusters.lbm.LBMReceiverAttributes.load | ( | InputStream | inStream | ) | throws IOException

Reads a property (attribute) list (key and element pairs) from the input stream.

Parameters

  inStream | Input stream of bytes

Exceptions

  IOException | if any I/O error occurs.
  LBMRuntimeException | if any invalid attribute is detected in `inStream`.

References com.latencybusters.lbm.LBMReceiverAttributes.setProperty().

void com.latencybusters.lbm.LBMReceiverAttributes.setFromXml | ( | String | contextName,
|  | String | topic
| ) |  | throws LBMException

Fill an LBMReceiverAttributes object with the default values specified by the XML configuration for the given context name and receiver topic name.

Parameters

  contextName | Context name string.
  topic | Receiver topic name string.

Exceptions

  LBMException | if the context name and / or receiver topic name is not permitted by the configuration or other operational failure.

References com.latencybusters.lbm.LBMReceiverAttributes.LBMReceiverAttributes().

void com.latencybusters.lbm.LBMReceiverAttributes.setObjectRecycler | ( | LBMObjectRecyclerBase | objRec,
|  | Object | objRecCbArg
| ) |  |

Set the LBM object recycler that can be used by the context to reuse LBMMessage objects as well as LBM Context/Receiver/Source Statistics objects.

Parameters

  objRec | an LBM object recycler that will be called when objects need to be retrieved
  objRecCbArg | a callback object token that will be passed in the retrieve method

Object com.latencybusters.lbm.LBMReceiverAttributes.setProperty | ( | String | attributeName,
|  | String | attributeValue
| ) |  |

Set the current value of an attribute in this set of receiver-related attributes.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  LBMRuntimeException | if `attributeName` is not a valid attribute, or `attributeValue` is not a valid value for `attributeName`.

References com.latencybusters.lbm.LBMReceiverAttributes.setValue().

Referenced by com.latencybusters.lbm.LBMReceiverAttributes.load().

void com.latencybusters.lbm.LBMReceiverAttributes.setRecoverySequenceNumberCallback | ( | UMERecoverySequenceNumberCallback | cb,
|  | Object | cbArg
| ) |  |

Register an extended callback interface (and a callback handle argument) to be called to enable a receiver to set the low sequence number it uses for recovery events (including late joins and durable subscriptions). This callback is called directly in line and does not use the event queue; therefore, the callback function used should not block or it will block the context thread processing. This API may not be called from a wildcard receiver create callback. Doing so will not result in the callbacks being called.

Parameters

  cb | An object implementing the UMERecoverySequenceNumberCallback interface
  cbArg | Callback object passed as a token to the callback interface

See also
  UMERecoverySequenceNumberCallback
  LBMWildcardReceiverCreateCallback

Since
  UME 2.0

void com.latencybusters.lbm.LBMReceiverAttributes.setRegistrationIdCallback | ( | LBMRegistrationIdCallback | cb,
|  | Object | cbArg
| ) |  |

Register a callback interface (and a callback handle argument) to be called to enable a receiver to set the registration ID it uses for a given source (UME only). This callback is called directly in line and does not use the event queue; therefore, the callback function used should not block or it will block the context thread processing. This API may not be called from a wildcard receiver create callback. Doing so will not result in the callbacks being called.

Parameters

  cb | An object implementing the LBMRegistrationIdCallback interface
  cbArg | Callback object passed as a token to the callback interface

See also
  LBMRegistrationIdCallback
  LBMWildcardReceiverCreateCallback

void com.latencybusters.lbm.LBMReceiverAttributes.setRegistrationIdCallback | ( | UMERegistrationIdExCallback | cb,
|  | Object | cbArg
| ) |  |

Register an extended callback interface (and a callback handle argument) to be called to enable a receiver to set the registration ID it uses for a given source (UME only). This callback is called directly in line and does not use the event queue; therefore, the callback function used should not block or it will block the context thread processing. This API may not be called from a wildcard receiver create callback. Doing so will not result in the callbacks being called.

Parameters

  cb | An object implementing the LBMRegistrationIdCallback interface
  cbArg | Callback object passed as a token to the callback interface

See also
  LBMRegistrationIdCallback
  LBMWildcardReceiverCreateCallback

void com.latencybusters.lbm.LBMReceiverAttributes.setSourceNotificationCallbacks | ( | LBMSourceCreationCallback | creationCb,
|  | LBMSourceDeletionCallback | deletionCb,
|  | Object | cbArg
| ) |  | throws LBMException

Register callbacks for new source notifications and source deletion notifications for sources on the topic a receiver is listening to. Both callbacks must be set. This API may not be called from a wildcard receiver create callback. Doing so will not result in the callbacks being called.

Parameters

  creationCb | Callback for new source notifications.
  deletionCb | Callback for source deletions.
  cbArg | Client-supplied callback object that will be passed into both the new source and source deletion callbacks.

Exceptions

  LBMException | if both source creation and source deletion callbacks are not specified at once.

Since
  LBM 3.3, UME 2.0

See also
  LBMWildcardReceiverCreateCallback

void com.latencybusters.lbm.LBMReceiverAttributes.setSourceNotificationExCallbacks | ( | LBMSourceCreationExCallback | creationCb,
|  | LBMSourceDeletionExCallback | deletionCb,
|  | Object | cbArg
| ) |  | throws LBMException

Register extended callbacks for new source notifications and source deletion notifications for sources on the topic a receiver is listening to. Both callbacks must be set. This API may not be called from a wildcard receiver create callback. Doing so will not result in the callbacks being called.

Parameters

  creationCb | Extended Callback for new source notifications.
  deletionCb | Extended Callback for source deletions.
  cbArg | Client-supplied callback object that will be passed into both the new sourceex and source deletion ex callbacks.

Exceptions

  LBMException | if both source creation and source deletion extended callbacks are not specified at once.

Since
  LBM 6.17.1

void com.latencybusters.lbm.LBMReceiverAttributes.setValue | ( | String | attributeName,
|  | String | attributeValue
| ) |  | throws LBMException

FOR INTERNAL INFORMATICA USE ONLY - NOT FOR DIRECT APPLICATION USEAGE. Applications should use setProperty() instead. Set the current value of an attribute in this set of receiver-related attributes. Note that this method bypasses the property list. As such no attributes configured using this method will appear in the property list.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  LBMException | if `attributeName` is not a valid attribute, or `attributeValue` is not a valid value for `attributeName`.

See also
  setProperty

Referenced by com.latencybusters.lbm.LBMReceiverAttributes.setProperty().

The documentation for this class was generated from the following file:

- LBMReceiverAttributes.java